<template>
  <nav>
    <router-link :class="{ active: $route.name === 'Home' }" to="/"
      >{{ $t('menu.home') }}</router-link
    >
    |
    <router-link :class="{ active: $route.name === 'Card' }" to="/Card"
      >{{ $t('menu.card') }}</router-link
    >
    |
    <router-link :class="{ active: $route.name === 'About' }" to="/about"
      >{{ $t('menu.about') }}</router-link
    >
    |
    <router-link :class="{ active: $route.name === 'Actions' }" to="/actions"
      >{{ $t('menu.actions') }}</router-link
    >
    <div>
      <span>Current language: {{ $i18n.locale }}</span>
      <button @click="changeLanguage('en')">EN</button>
      <button @click="changeLanguage('ua')">UA</button>
    </div>
  </nav>
  <router-view />
</template>
<script>
export default {
  methods: {
    changeLanguage(lang) {
      this.$i18n.locale = lang;
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: whitesmoke;
}

html,
body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

body {
  background-color: #2c3e50;
}

#nav {
  padding: auto;
  width: 100%;
  height: 30px;
  background-color: whitesmoke;
  line-height: 30px;

  a {
    font-weight: bold;
    color: whitesmoke;
    text-decoration: none;
    margin: 0 5px 0 5px;
    font-size: 1.25rem;

    &.active {
      color: #2c3e50;
    }
  }
}

.text-center {
  text-align: center;
}

a {
  color: #ffffff;
  margin-top: 40px;
  display: inline-block;
}

nav {
  background-color: #2c3e50; 
  padding: 10px 0;
  text-align: center;
}

nav a {
  text-decoration: none;
  color: #fff; 
  font-size: 18px;
  padding: 8px 16px;
  margin: 0 5px;
  border-radius: 5px;
}

nav a.active {
  background-color: #4caf50; 
  color: white;
}
</style>
